Update Step Content
Rest path
PATCH /rest/api/1/testCases/{issueId}/versions/{versionId}/steps/{stepId}
Body parameter
{ "properties": { "expectedResult": { "anyOf": [ { "properties": { "version": { "type": "number", "enum": [ 1 ], "nullable": false }, "type": { "type": "string", "enum": [ "doc" ], "nullable": false }, "content": { "items": {}, "type": "array", "example": [ { "type": "paragraph", "content": [ { "type": "text", "text": "This is a paragraph." } ] } ] } }, "required": [ "version", "type", "content" ], "type": "object", "description": "Represents a rich text document node.\nFor more details see: https://developer.atlassian.com/cloud/jira/platform/apis/document/structure/" }, { "type": "string" } ], "nullable": true }, "data": { "anyOf": [ { "properties": { "version": { "type": "number", "enum": [ 1 ], "nullable": false }, "type": { "type": "string", "enum": [ "doc" ], "nullable": false }, "content": { "items": {}, "type": "array", "example": [ { "type": "paragraph", "content": [ { "type": "text", "text": "This is a paragraph." } ] } ] } }, "required": [ "version", "type", "content" ], "type": "object", "description": "Represents a rich text document node.\nFor more details see: https://developer.atlassian.com/cloud/jira/platform/apis/document/structure/" }, { "type": "string" } ], "nullable": true }, "action": { "anyOf": [ { "properties": { "version": { "type": "number", "enum": [ 1 ], "nullable": false }, "type": { "type": "string", "enum": [ "doc" ], "nullable": false }, "content": { "items": {}, "type": "array", "example": [ { "type": "paragraph", "content": [ { "type": "text", "text": "This is a paragraph." } ] } ] } }, "required": [ "version", "type", "content" ], "type": "object", "description": "Represents a rich text document node.\nFor more details see: https://developer.atlassian.com/cloud/jira/platform/apis/document/structure/" }, { "type": "string" } ], "nullable": true } }, "type": "object"}Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| issueId | path | number(double) | true | none |
| versionId | path | number(double) | true | none |
| stepId | path | number(double) | true | none |
| body | body | RestStepsData | true | none |
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 204 | No Content | No Content | None |